eID middleware |

# be.portugal.eid.PTEID_ExFileTypeUnknown Class Reference

Exception class File Type Unknown (error code = EIDMW_ERR_FILETYPE_UNKNOWN). More...

Inheritance diagram for be.portugal.eid.PTEID_ExFileTypeUnknown:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ExFileTypeUnknown ()
| Constructor.
## Protected Member Functions
| PTEID_ExFileTypeUnknown (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ExFileTypeUnknown obj)

## Detailed Description

Exception class File Type Unknown (error code = EIDMW_ERR_FILETYPE_UNKNOWN).

Thrown when the Raw Data type doesn't exist for this card Used in : - PTEID_Card.getRawData(PTEID_RawDataType type)

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExFileTypeUnknown.PTEID_ExFileTypeUnknown | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExFileTypeUnknown.PTEID_ExFileTypeUnknown | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExFileTypeUnknown.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExFileTypeUnknown.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExFileTypeUnknown.getCPtr | ( | PTEID_ExFileTypeUnknown | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExFileTypeUnknown.swigCPtr.